<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.modular.dailytabulatedata.mapper.DailyTabulateDataMapper">

    <select id="selectDay" resultType="com.huimv.modular.dailytabulatedata.entity.DailyVo">

        SELECT DATE_FORMAT(statistic_date,"%m-%d") ydate,
          stock1,stock2, stock3 , stock_new, offline_no
          FROM `daily_tabulate_data`
         ${ew.customSqlSegment}
    </select>
    <select id="selectMonth" resultType="com.huimv.modular.dailytabulatedata.entity.DailyVo">
         SELECT DATE_FORMAT(statistic_date,"%Y-%m") ydate,
                  stock1,stock2, stock3 , stock_new, offline_no
                  FROM `daily_tabulate_data`
                 ${ew.customSqlSegment}
    </select>
    <select id="selectYear" resultType="com.huimv.modular.dailytabulatedata.entity.DailyVo">
         SELECT DATE_FORMAT(statistic_date,"%Y") ydate,
                  stock1,stock2, stock3 , stock_new, offline_no
                  FROM `daily_tabulate_data`
                 ${ew.customSqlSegment}
    </select>
</mapper>
